summaryrefslogtreecommitdiff
path: root/Master/bin/alpha-linux/fixtpps
diff options
context:
space:
mode:
authorKarl Berry <karl@freefriends.org>2008-03-17 18:50:53 +0000
committerKarl Berry <karl@freefriends.org>2008-03-17 18:50:53 +0000
commit9c77e69689b13554caeebaf623e234527ca996d0 (patch)
treec5fc452b91d0d427623801fef42786c660ed59a6 /Master/bin/alpha-linux/fixtpps
parentc4d4f12b494d04f6b41bc6e21a4a1d90944c25dc (diff)
restore alpha-linux
git-svn-id: svn://tug.org/texlive/trunk@6987 c570f23f-e606-0410-a88d-b1316a301751
Diffstat (limited to 'Master/bin/alpha-linux/fixtpps')
-rwxr-xr-xMaster/bin/alpha-linux/fixtpps28
1 files changed, 28 insertions, 0 deletions
diff --git a/Master/bin/alpha-linux/fixtpps b/Master/bin/alpha-linux/fixtpps
new file mode 100755
index 00000000000..4239bb9dfc5
--- /dev/null
+++ b/Master/bin/alpha-linux/fixtpps
@@ -0,0 +1,28 @@
+#!/usr/bin/env perl
+# fixtpps: fix tpscript document to work with PSUtils
+#
+# Copyright (C) Angus J. C. Duggan 1991-1995
+# See file LICENSE for details.
+
+$nesting = 0;
+$header = 1;
+
+while (<>) {
+ if (/^%%Page:/ && $nesting == 0) {
+ print $_;
+ print "save home\n";
+ $header = 0;
+ } elsif (/^%%BeginDocument/ || /^%%BeginBinary/ || /^%%BeginFile/) {
+ print $_;
+ $nesting++;
+ } elsif (/^%%EndDocument/ || /^%%EndBinary/ || /^%%EndFile/) {
+ print $_;
+ $nesting--;
+ } elsif (/save home/) {
+ s/save home//;
+ print $_;
+ } elsif (!$header || (! /^save$/ && ! /^home$/)) {
+ print $_;
+ }
+}
+